Get boards

Retrieves a list of boards that match the search criteria provided in the request. If you are an Enterprise customer and a Company Admin, you can retrieve all boards, including all private boards (boards that haven't been specifically shared with you) by enabling Content Admin permissions. To enable Content Admin permissions, see Content Admin permissions for Company Admins. Note that you only get results instantaneously when you filter by the team_id, project_id, or both the team_id and project_id. If you use any other filter, you need to give a few seconds for the indexing of newly created boards before retrieving boards.

Required scope

boards:read

Rate limiting

Level 1

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The team_id for which you want to retrieve the list of boards. If this parameter is sent in the request, the query and owner parameters are ignored.

string

The project_id for which you want to retrieve the list of boards. If this parameter is sent in the request, the query and owner parameters are ignored.

string
length ≤ 500

Retrieves a list of boards that contain the query string provided in the board name or board description. For example, if you want to retrieve a list of boards that have the word beta in the board name or description, add beta as the query parameter value. You can use the query parameter with the owner parameter to narrow down the board search results.

string

Retrieves a list of boards that belong to a specific owner ID. You must pass the owner ID (for example, 3074457353169356300), not the owner name. You can use the 'owner' parameter with the query parameter to narrow down the board search results. Note that if you pass the team_id in the same request, the owner parameter is ignored.

string
1 to 50

The maximum number of boards to retrieve.
Default: 20

string

The (zero-based) offset of the first item in the collection to return.
Default: 0.

string
enum
Defaults to default

Sort order in which you want to view the result set. Options last_created and alphabetically are applicable only when you search for boards by team.

  • default - If team_id is present, last_created. Otherwise, last_opened.
  • last_modified - sort by the date and time when the board was last modified.
  • last_opened - sort by the date and time when the board was last opened.
  • last_created - sort by the date and time when the board was created.
  • alphabetically - sort by the board name (alphabetically).
Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json